@font-face {
    font-family: 'Roboto Slab';
    src: url('../font/RobotoSlab-Regular-2.ttf');
  }
.layui-form-switch{height:auto; margin-top: 0;}
.qrcode{width: 100%; text-align: center;}
.qrcode img{ height:200px; width:200px; margin:35px 0 10px;}
.header-2 .page-header{min-height:610px;}
.page-alert{padding-left: 17.125rem; z-index:1010;}
  @media (max-width: 576px) {
    .home-left{margin-bottom:4rem !important;}
  }
  @media (max-width: 768px) {
      .home-left{margin-bottom:4rem !important;}
      .header-2 .page-header{min-height:750px;}
      .page-alert{padding-left:0;}
  }
@media (max-width: 1200px) {
    .page-alert{padding-left:0;}
}
.focused{
    border-color:#2152ff; box-shadow: 0 0 0 1px #21d4fd;
}
.focused .form-control+.input-group-text{
    border-color:#2152ff !important; box-shadow: 0 0 0 1px #21d4fd; border-left:1px solid #2152ff !important;
    border-right:1px solid #2152ff !important;
}
.input-group .form-control:focus{border-color:#2152ff; box-shadow: 0 0 0 1px #21d4fd;}
.form-control:focus{border-color:#2152ff; box-shadow: 0 0 0 1px #21d4fd;}
.input-group-text{right:0;}
.border-right-img{
    border-right:1px solid;
    border-image: -webkit-linear-gradient(to top,#fff , #e7e7eb , #fff) 1 10 1;
    border-image: -moz-linear-gradient(to top,#fff , #e7e7eb , #fff) 1 10 1;
    border-image: linear-gradient(to top,#fff , #e7e7eb , #fff) 1 10 1;
}
a:hover{color:#63b3ed;}
.navbar-main{z-index:1800;}
.page-alert .toast{top:-4rem; position: relative; opacity: 0;}
.text-sm p{font-size:.875rem !important;}
.page-center{min-height: 80vh;}
.icon-sm span.fa{ top: 0; font-size: 1rem; }
.nav-link.active span.fa{ color:#fff; opacity: .8; }
.loading{ width: 30px; height: 17px; background: url('../img/load.gif') no-repeat center / 100% auto; margin: 0 auto; }
.input-tips{ position: absolute; right: 0; top: -28px; font-size: 0.75rem; color: red; }
.h1, .h2, .h3, h1, h2, h3 { font-weight: 600; font-family: Roboto Slab,sans-serif;}
.is-focused .choices__inner, .is-open .choices__inner{border-color:#2152ff; box-shadow: 0 0 0 1px #21d4fd;}
.navbar .nav-link.this{
    background-image: linear-gradient(310deg, #2152ff 0%, #21d4fd 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    position: relative;
    z-index: 1;
}
.navbar-toggler{border:none;}
.navbar .navbar-brand.pc{padding-left:21px;}
.navbar .navbar-brand.m{padding-left:36px;}
.navbar .navbar-brand img{
    height: 31px;
    border-radius: 100%;
    margin-right: 10px;
    position: absolute;
    top: 5px;
    left: 0px;
}
.text-ellipsis{
    overflow:hidden;
    white-space:nowrap;
    text-overflow:ellipsis;
}
.home-desc,.align-center{
    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}
.login-main{overflow: hidden;}
.login-main .qrcode{position:absolute; height: 65px; right: 0; top:0; background: url(../img/qrcode.svg) no-repeat center / 100% auto; width: 65px; z-index: 9;}
.login-main .qrcode:hover{cursor: pointer;}

.add-apps{
    margin: .5rem 1rem;
    padding: .7rem 1rem;
    border: 2px dashed #efefef;
    color: #999;
    border-radius: .5rem;
}
.add-apps span{margin-right: .4rem;}
.add-apps:hover{border-color: #2152ff; color: #2152ff; cursor: pointer; opacity:.6;}
.active .add-apps{border-color: #2152ff; color: #2152ff; opacity:.6;}
.sidenav{z-index: 1900;}
.sidenav[data-color=info] .navbar-nav>.nav-item>.nav-link.active .icon { background-image: linear-gradient(310deg,#2152ff,#21d4fd); }
.moving-tab .nav-link.active{ box-shadow:0 1px 2px 0 hsl(0deg 0% 59% / 30%); }
.nav-pills .nav-item .nav-link.active{
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-image: linear-gradient(310deg,#2152ff,#21d4fd);
}
.appstore-list{display: none;}
.appstore-list.active{display: unset;}
.dz-default.dz-message{
    margin:0; line-height: 150px; font-size:3rem;
}
.dropzone{position: relative;}
.upload-file{position: absolute;left:0; top: 0; width: 100%; height: 100%;}
.upload-file:hover{cursor: pointer;}
.files-otp-btn{
    position: fixed; width: 100%; bottom: 0; left: 0; z-index: 2;
}
.files-otp-nav{
    position: fixed; width: 100%; top: 0; left: 12px; padding:1.5rem 1.5rem 1rem 1.5rem; z-index:9999;
}
.files-list .img{height: 120px;}
.files-list p{
    overflow:hidden;
    white-space:nowrap;
    text-overflow:ellipsis;
}
.files-mask{background:#2152ff; opacity: 0.1; position: absolute; top: 0; left: 0; width: 100%; height: 100%; z-index:1; display: none;}
.files-list .card{border:1px solid #fff; overflow: hidden;}
.files-list .card:hover{border:1px solid #21d4fd; cursor: pointer; box-shadow: 0 0 0 1px #2152ff;}
.files-list .card:hover .files-mask{display: unset;}
.files-main i{display: none;}
.files-main.active i{display: unset;}
.files-main.active .card{border:1px solid #21d4fd; cursor: pointer; box-shadow: 0 0 0 1px #2152ff;}
.files-main.active .card .files-mask{display: unset;}

.single-upload{width:120px; height: 120px; border-radius:0.5rem; border:1px solid #d2d6da;}
.single-upload:hover{cursor: pointer;}

.card.multisteps-form__panel{display:none;}
.card.multisteps-form__panel.js-active{display:unset;}

.select-down{
    position: relative;
    font-family: layui-icon!important;
    font-style: normal;
    -webkit-font-smoothing: antialiased;
}
.select-down:before{
    position: absolute;
    right: 15px;
    top: 9px;
    content: "\e625";
    z-index: 999;
    width: 10px;
    height: 10px;
    opacity: .8;
}

.dropzone .dz-preview{margin:16px 0 10px 16px;}
.choices{background:#fff;}
.register-card .card-body{display: none;}
.register-card .card-body.card-active{display: unset;}
.dz-image{
    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex !important;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}
.dz-image img{ height:100%;}

.home-app-list div.list:hover{ cursor: pointer; background:#f8f9fa; border-radius: 5px;}
.layui-layer-btn a{font-size:12px;}
.layui-tree-set{display: table; width: auto;}
.layui-tree-set.layui-tree-spread.layui-tree-setHide{width:auto; float: left;}
.layui-tree-entry{height:auto;}
.layui-tree-icon{line-height: 10px; border:none}

.multiple-list{
    height: 265px;
    overflow-y: auto;
}
.multiple-list .multiple-select{border:1px solid #e0e0e0; border-radius: 100%; width: 30px; height:30px; line-height: 30px; font-size: 14px;}
.multiple-list .multiple-select i{color:#fff;}
.multiple-list .multiple-select.active{background-image: linear-gradient(310deg,#2152ff,#21d4fd); border-color:#fff;}
.multiple-list .d-flex:hover{background:#e9ecef; cursor: pointer;}

/**
    数据表格样式
 */
.layui-icon{font-size: unset;}
.layui-table-tool,.layui-table thead tr,.layui-table-patch{background: #fff}
.layui-table-page{padding-top:12px;}
.layui-table thead tr th span{color:#8392ab;}
.layui-table td, .layui-table th, .layui-table-col-set, .layui-table-fixed-r, .layui-table-grid-down, .layui-table-header, .layui-table-page, .layui-table-tips-main, .layui-table-tool, .layui-table-total, .layui-table-view, .layui-table[lay-skin=line], .layui-table[lay-skin=row]
{ border:none; font-size: .8rem;}
.layui-table-header{border-bottom:1px solid #e9ecef; background:#fff;}
.layui-table tbody tr{border-bottom:1px solid #e9ecef;}
.layui-table, .layui-table-view{margin-bottom:0px;}
.layui-laypage .layui-laypage-curr .layui-laypage-em{background-image: linear-gradient(310deg,#141727,#3a416f);}
.layui-form-checked[lay-skin=primary] i{background-image: linear-gradient(310deg,#141727,#3a416f); border-color:#141727!important;}
.layui-table-view .layui-form-checkbox:hover i{ border-color:#141727!important;}
.layui-table-tool .layui-inline[lay-event]{border-color:#fff; background-image:linear-gradient(310deg,#ced4da,#ebeff4); border-radius:5px;}
/*.layui-table-tool-self{bottom:10px; top: unset;}*/
.layui-table-tool-temp{padding-right: 0;}
.layui-table-tips-c:before{right: -1px;bottom: 0.23rem;}
.layui-table-tool{position: absolute; top: 0; z-index: 99; padding-bottom: 0;
    background: none; min-height: auto;}
.not-checked{background:#fff !important; border:1px solid #cbd3da !important;}

/**
    修改数据样式
 */
form .input-desc{
    display: flex;
    flex-wrap: wrap;
}
form .input-desc input{
    width: 75%;
    border-top-right-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
}
form .input-desc .tips{
    width: 25%;
    text-align: center;
    line-height: 40px;
    border: 1px solid #d2d6da;
    border-left:none;
    border-top-right-radius: 0.5rem !important;
    border-bottom-right-radius: 0.5rem !important;
}
.choices__inner{padding:.5rem .6rem .2rem; min-height: 42px;}
.container-fluid{position: relative}
form .input-select{position: relative;}
form .input-select .choices__list--dropdown{top:10px}
form .input-select .choices__list--dropdown .choices__item--selectable{padding-right:0px;}
form .input-select .choices__list--dropdown .choices__item{padding:.3rem .6rem;}
form .input-select .choices__inner .choices__item--selectable{line-height:25px; height:27px;}
form .input-select .choices__inner .choices__item--selectable i{line-height:25px;}
form .input-select .choices__item--selectable .text-right{width:55px;}
form .input-select .choices__list--dropdown .choices__list{max-height:200px;}
form .choices[data-type*=select-multiple] .choices__button, .choices[data-type*=text] .choices__button{padding-left:22px;}
.text-right{text-align: right;}
textarea{ resize:none; }
.ql-editor p{font-size: .875rem;}
.ql-toolbar select{display:none !important;}
.ql-align.ql-picker.ql-icon-picker .ql-picker-label{top:-3px;}
.ql-color.ql-picker.ql-color-picker{top:-3px}
.ql-background.ql-picker.ql-color-picker{top:-4px;}
form .input-btn{ position: relative;}
form .input-btn a{ position: absolute; right:4px; top:4px; margin:0;}

.select-courses .form-check-input{
    position: relative; top: 2px;
}

.qrcodeimg{width:200px; height: 200px; margin:0 auto; line-height: 200px; position: relative;}
.qrcodeimg .logo{
    position: absolute;
    text-align: center;
    width: 100%;
    top: 0;
}
.qrcodeimg .logo img{border-radius: 100%; border: 2px solid #fff; width: 35px; height: 35px; border:2px solid #fff;}

.down-img{position: absolute; opacity: 0; z-index: -1;}
.down-img-center{width:210px; margin:0 auto; text-align: center; padding:5px;}
.down-img-header{border-top-right-radius: 10px; border-top-left-radius: 10px; font-weight: bold;}

.account-list .align-items-center p{
    width: 68%;
}
.navbar-vertical .navbar-nav>.nav-item .nav-link.active .icon{
    background-image: linear-gradient(310deg,#2152ff,#21d4fd) !important;
}

.nav .hidden{
    display: none !important;
}

.main_content{
    margin-right: 1.5rem;
    margin-left: 1.5rem;
    padding-bottom: 1.5rem;
}

/*.content .el-card__body{*/
/*    max-height: calc(100vh - 240px);*/
/*    overflow-y: auto;*/
/*}*/
.el-table__cell .cell .el-link+ .el-link{
    margin-left: 10px;
}

#app{
    display: none;
}
.team_qrcode .el-popover__title{
    text-align: center !important;
    margin-bottom: 0;
    padding: 5px 0;
}

.userProfileDialog{
    min-width: 300px !important;
    width: 40%;
}